Bug 81406 - [ILK/SNB]Piglit spec_ARB_shader_texture_lod_execution_tex-miplevel-selection_*GradARB_2DRect fails
Summary: [ILK/SNB]Piglit spec_ARB_shader_texture_lod_execution_tex-miplevel-selection_...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-16 03:15 UTC by lu hua
Modified: 2015-09-14 10:00 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-07-16 03:15:30 UTC
System Environment:
--------------------------
Platform: Sandybridge
Libdrm:		(master)libdrm-2.4.54-17-ge8c3c1358ecaf4e90f7d43762357ae6f8e2022b6
Mesa:		(master)e945a19b35025c962131b2c4b7393461445f08f2
Xserver:	(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.912-229-ge0523ade28fa0da00d0bd70d8b22d53ed4e49f73
Libva:		(master)c61d8c6ce9ffc27320e9e177c1e1123d5f1b5014
Libva_intel_driver:(master)c5cb17ea86f0065a939d3636dd26651c93d497c8
kernel (drm-intel-nightly)2a38e1bcd4dc9523cd723291340226d139bece1b

Bug detailed description:
------------------------- 
This new case fails on ILK and SNB with mesa master branch, works well on 10.2 branch.
Following cases also fail:
spec_ARB_shader_texture_lod_execution_tex-miplevel-selection_*ProjGradARB_2DRect
spec_ARB_shader_texture_lod_execution_tex-miplevel-selection_*ProjGradARB_2DRect_ProjVec4

output:
Failure:
  Expected level: 0
  Observed: wrong layer/face/slice or wrong level or wrong offset
  Fetch level: 0, baselevel: 0, maxlevel: 0, minlod: 0, maxlod: 0, bias: 0, mipfilter: no
Summary: 0/1 passed
PIGLIT: {"result": "fail" }

Reproduce steps:
-------------------------
1. xinit
2. bin/tex-miplevel-selection *GradARB 2DRect -fbo -auto
Comment 1 Samuel Iglesias Gonsálvez 2015-06-29 07:45:51 UTC
I tested it on my SNB laptop with mesa master branch. The test passes:

$ bin/tex-miplevel-selection *GradARB 2DRect -fbo -auto
Summary: 1/1 passed
PIGLIT: {"result": "pass" }

$ glxinfo | grep version | grep OpenGL
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.7.0-devel (git-6218c68)
OpenGL core profile shading language version string: 3.30
OpenGL version string: 3.0 Mesa 10.7.0-devel (git-6218c68)
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 10.7.0-devel (git-6218c68)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00

Mesa master HEAD: 6218c68bece0cea671f2940a651119a87ab8b24e

Can you still reproduce it on your ILK/SNB machines?
Comment 2 Rhys Kidd 2015-07-12 06:46:40 UTC
Hello Samuel and Lu Hua,

On my ILK laptop the test passes:

$ mesa-release bin/tex-miplevel-selection *GradARB 2DRect -fbo -auto
Summary: 1/1 passed
PIGLIT: {"result": "pass" }

$ mesa-release glxinfo | grep version | grep OpenGL
OpenGL version string: 2.1 Mesa 10.7.0-devel (git-8108de4)
OpenGL shading language version string: 1.20
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 10.7.0-devel (git-8108de4)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

Mesa master HEAD: 8108de4774f2542a8fe65de71b82221821f73434

(mesa-release being my little wrapper script)
Comment 3 lu hua 2015-07-15 05:50:53 UTC
Christophe, 
Does this issue still happen on your machines?
Comment 4 Tapani Pälli 2015-09-14 10:00:41 UTC
passes fine on my SNB (tested using Mesa 10.7), seems to pass for others as well so resolving as fixed, feel free to reopen if failure still occurs


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.